Subject: [PATCH 8/9] iommu: add support for ARM Ltd. System MMU architecture

From: [email-masked] (Joerg Roedel)
Date: Fri, 21 Jun 2013 17:30:44 +0200

On Fri, Jun 21, 2013 at 04:00:06PM +0100, Will Deacon wrote:
> Damn, I was hoping to avoid locking on the map path. In fact, this is a good
> argument to go with your suggestion below (otherwise I'd need to use
> reader/writer locks which seem to be frowned on).

You should look into using rcu-lists instead. You still need a lock, but
only when you actually manipulating the lists. For traversing them it is
sufficient to take the rcu_read_lock() which has very low overhead.

	Joerg